using Fantasy.Entitas;
using MongoDB.Bson.Serialization.Attributes;
using MongoDB.Bson.Serialization.Options;

namespace NB.Game;

/// <summary>
/// 用户钱包
/// </summary>
public class PlayerWalletComponent : Entity
{
    /// <summary>
    /// 所有货币
    /// </summary>
    [BsonDictionaryOptions(DictionaryRepresentation.ArrayOfArrays)]
    public Dictionary<uint, int> Currency = new();
}